#!/usr/bin/bash

# Kernel Tuning Parameters
sh set_kernel_parameters.sh

# Set Java Path for SPC-2 Run
CLASSPATH=/root/spc2
LD_LIBRARY_PATH=/root/spc2
SHLIB_PATH=/root/spc2
export CLASSPATH LD_LIBRARY_PATH SHLIB_PATH

# Current Date & Time
#date=$(date '+%Y%m%d_%H:%M:%S')
#log_dir=/root/spc2/Logs"/"$date"_run1"
log_dir=/root/Logs/NetClips_Scaleway
result_dir=$log_dir"/Results"
inventory_dir=$log_dir"/Inventory"

mkdir -p $log_dir
mkdir -p $result_dir
mkdir -p $inventory_dir

sh config_capture.sh > $inventory_dir"/1.prefill.out"

echo "ASU Prefill started!"
/root/vdbench/vdbench -f Pre-fill.par -o $result_dir"/1.prefill_results"
echo "ASU Prefill complete!"

sh config_capture.sh > $inventory_dir"/2.init.out"

echo "SPC2 Init started!"
java -Xmx1536m -Xms512m -cp /root/spc2 vdbench -wSPC2 -f LFP.par -init -o $result_dir"/2.init_results"
echo "SPC2 Init complete!"

sh config_capture.sh > $inventory_dir"/3.lfp.out"

echo "SPC2 LFP started!"
java -Xmx1536m -Xms512m -cp /root/spc2 vdbench -wSPC2 -f LFP.par -o $result_dir"/3.lfp_results"
echo "SPC2 LFP complete!"

sh config_capture.sh > $inventory_dir"/4.ldq.out"

echo "SPC2 LDQ started!"
java -Xmx1536m -Xms512m -cp /root/spc2 vdbench -wSPC2 -f LDQ.par -o $result_dir"/4.ldq_results"
echo "SPC2 LDQ complete!"

sh config_capture.sh > $inventory_dir"/5.vod.out"

echo "SPC2 VOD started!"
java -Xmx1536m -Xms512m -cp /root/spc2 vdbench -wSPC2 -f VOD.par -o $result_dir"/5.vod_results"
echo "SPC2 VOD complete!"

sh config_capture.sh > $inventory_dir"/6.persist1.out"

echo "SPC2 Persistence 1 (write phase) started!"
java -Xmx1536m -Xms512m -cp /root/spc2 vdbench -wSPC2 -f Persistence_1.par -o $result_dir"/6.persistence1_results"
echo "SPC2 Persistence 1 complete!"

